LangDev RESTful HTTP API
LangDev web service provides RESTful HTTP API.
-
GET /users/f/signout
Signs out.
-
GET /users/f/signin
-
POST /users/f/signin
-
GET /users/f/signup
-
GET /users/f/orgot
-
POST /users/f/orgot
-
GET /posts/atom.xml
-
GET /posts/write
-
POST /users/
-
GET /posts/
Show a list of posts.
| Query Parameters: |
| |
- view – one of summary or table. default is table
- next – id of the next post what you want to fetch.
It can be useful for calling API, or infinite scroll.
- offset – offset from a latest post.
- limit – number of posts to show. default is 20, maximum is 100.
|
| Status Codes: |
- 200 – no error.
- 404 – next post is not exists.
|
-
POST /posts/
-
GET /apps/
Third-party application registration form.
-
POST /apps/
-
GET /
-
GET /users/(user_login)/password-findings/(token)
-
POST /users/(user_login)/password-findings/(token)
-
GET /apps/(app_key)/sso/(user_login)
Simple SSO API.
-
POST /apps/(app_key)/sso/(user_login)
Simple SSO API.
-
GET /posts/(int: post_id)/edit
-
GET /users/(user_login)/password-findings
-
POST /users/(user_login)/password-findings
-
GET /users/(user_login)/posts
Posts a user wrote.
-
GET /posts/(int: post_id)
-
PUT /posts/(int: post_id)
-
DELETE /posts/(int: post_id)
-
POST /posts/(int: post_id)
-
GET /users/(user_login)
User profile page.
-
PUT /users/(user_login)
Edit the profile.
-
DELETE /users/(user_login)
-
GET /apps/(app_key)
Application detail information.
-
DELETE /apps/(app_key)
Deletes an application.